Index: telnetd/ChangeLog
===================================================================
--- telnetd/ChangeLog	(revision 85ed672ba9d61eabe1d3ee183bc11b30a71334ae)
+++ telnetd/ChangeLog	(revision af95f317bbb1dd352ade6ee9f043c822afde4f8c)
@@ -1,2 +1,6 @@
+2009-05-12	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* Makefile, init.c: Now build with libbsdport.
+
 2008-10-15	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: telnetd/Makefile
===================================================================
--- telnetd/Makefile	(revision 85ed672ba9d61eabe1d3ee183bc11b30a71334ae)
+++ telnetd/Makefile	(revision af95f317bbb1dd352ade6ee9f043c822afde4f8c)
@@ -36,6 +36,6 @@
 CFLAGS_DEBUG_V   += -v -qrtems_debug
 
-LD_PATHS  +=
-LD_LIBS  += -ltelnetd
+LD_PATHS +=
+override LD_LIBS  += -ltelnetd
 
 CFLAGS   += 
Index: telnetd/init.c
===================================================================
--- telnetd/init.c	(revision 85ed672ba9d61eabe1d3ee183bc11b30a71334ae)
+++ telnetd/init.c	(revision af95f317bbb1dd352ade6ee9f043c822afde4f8c)
@@ -8,59 +8,4 @@
 #define USE_RTEMS_SHELL
 
-/*
- * Configuration parameters
- */
-
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
-#ifdef RTEMS_BSP_HAS_IDE_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_IDE_DRIVER
-#endif
-#define CONFIGURE_APPLICATION_NEEDS_LIBBLOCK
-
-#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-
-#define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS	20
-#define CONFIGURE_MAXIMUM_PTYS                          8
-
-#if defined(USE_RTEMS_SHELL)
-  #define CONFIGURE_APPLICATION_NEEDS_LIBBLOCK
-#endif
-#define CONFIGURE_USE_IMFS_AS_BASE_FILESYSTEM
-
-#define CONFIGURE_STACK_CHECKER_ENABLED
-
-#define CONFIGURE_MEMORY_OVERHEAD         256
-#define CONFIGURE_MESSAGE_BUFFER_MEMORY   (32 * 1024)
-#define CONFIGURE_MAXIMUM_SEMAPHORES	  40
-#define CONFIGURE_MAXIMUM_TASKS		  20
-#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES  20
-
-#define CONFIGURE_MICROSECONDS_PER_TICK	1000
-
-#define CONFIGURE_INIT_TASK_STACK_SIZE	(64*1024)
-#define CONFIGURE_INIT_TASK_PRIORITY	120
-#define CONFIGURE_INIT_TASK_ATTRIBUTES    RTEMS_FLOATING_POINT
-#define CONFIGURE_INIT_TASK_INITIAL_MODES (RTEMS_PREEMPT | \
-                                           RTEMS_NO_TIMESLICE | \
-                                           RTEMS_NO_ASR | \
-                                           RTEMS_INTERRUPT_LEVEL(0))
-
-#define CONFIGURE_MAXIMUM_DRIVERS 10
-#define CONFIGURE_INIT
-
-#include <stdlib.h>
-#include <rtems.h>
-#include <rtems/telnetd.h>
-
-/* functions */
-
-rtems_task Init(
-  rtems_task_argument argument
-);
-
-/* configuration information */
-
-#include <rtems/confdefs.h>
 #include <bsp.h>
 
@@ -68,5 +13,4 @@
 #include <time.h>
 
-#include <rtems/confdefs.h>
 #include <stdio.h>
 #include <rtems/rtems_bsdnet.h>
@@ -74,5 +18,4 @@
 #include <rtems/shell.h>
 
-     
 #include <rtems/error.h>
 #include <rpc/rpc.h>
@@ -234,2 +177,57 @@
 }
 
+/*
+ * Configuration parameters
+ */
+
+#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
+#ifdef RTEMS_BSP_HAS_IDE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_IDE_DRIVER
+#endif
+#define CONFIGURE_APPLICATION_NEEDS_LIBBLOCK
+
+#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
+
+#define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS	20
+#define CONFIGURE_MAXIMUM_PTYS                          8
+
+#if defined(USE_RTEMS_SHELL)
+  #define CONFIGURE_APPLICATION_NEEDS_LIBBLOCK
+#endif
+#define CONFIGURE_USE_IMFS_AS_BASE_FILESYSTEM
+
+#define CONFIGURE_STACK_CHECKER_ENABLED
+
+#define CONFIGURE_MEMORY_OVERHEAD         256
+#define CONFIGURE_MESSAGE_BUFFER_MEMORY   (32 * 1024)
+#define CONFIGURE_MAXIMUM_SEMAPHORES	  40
+#define CONFIGURE_MAXIMUM_TASKS		  20
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES  20
+
+#define CONFIGURE_MICROSECONDS_PER_TICK	1000
+
+#define CONFIGURE_INIT_TASK_STACK_SIZE	(64*1024)
+#define CONFIGURE_INIT_TASK_PRIORITY	120
+#define CONFIGURE_INIT_TASK_ATTRIBUTES    RTEMS_FLOATING_POINT
+#define CONFIGURE_INIT_TASK_INITIAL_MODES (RTEMS_PREEMPT | \
+                                           RTEMS_NO_TIMESLICE | \
+                                           RTEMS_NO_ASR | \
+                                           RTEMS_INTERRUPT_LEVEL(0))
+
+#define CONFIGURE_MAXIMUM_DRIVERS 10
+#define CONFIGURE_INIT
+
+#include <stdlib.h>
+#include <rtems.h>
+#include <rtems/telnetd.h>
+
+/* functions */
+
+rtems_task Init(
+  rtems_task_argument argument
+);
+
+/* configuration information */
+
+#include <rtems/confdefs.h>
